

for id_net = 1:size(SP.network_param,2)
    id_network = id_network + 1;

    rand_weights = (0.5*ones(size(Adj_Mat))) + (0.5*rand(size(Adj_Mat)));
    Adj_Mat = Adj_Mat.*rand_weights;

    switch id_net
        case 1
            vertrex_influence = ones(1,SP.TotalAgents);
            % All the vetices have the same influence
        case 2
            vertrex_influence = (randi(5, 1,SP.TotalAgents));
            % Low influence polarization (low influence variance)
        case 3
            vertrex_influence = (randi(10, 1,SP.TotalAgents));
            % Low influence polarization (low influence variance)
        case 4
            vertrex_influence = (randi(5, 1,SP.TotalAgents)).^3;
            % High influence polarization (high influence variance);
        case 5
            vertrex_influence = (randi(10, 1,SP.TotalAgents)).^3;
            % High influence polarization (high influence variance);
    end

    

    % First multiply the columns by the vertex influence
    for id_col = 1:size(Adj_Mat,2)
        Adj_Mat(:,id_col) = vertrex_influence(id_col)*Adj_Mat(:,id_col);
    end

    % Make the matrix row-stochastic
    for id_row = 1:size(Adj_Mat,1)
        Adj_Mat(id_row, :) = Adj_Mat(id_row, :)*(1/sum(Adj_Mat(id_row, :)));
    end
    
    InteractionNetworks{id_network} = Adj_Mat;
    
end



% %%


% InfluenceVariance = nan*ones(size(InteractionNetworks,2),1);
% for id_network = 1:size(InteractionNetworks,2)
%     InfluenceVariance(id_network) = var(sum(InteractionNetworks{id_network}));
% end












